#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long N,A[20010],B[20010],i,j,L,R,k,pom1,pom2,max1,max2=0;
    scanf("%lld",&N);

    for(i=1;i<=N;i++)
        scanf("%lld",&A[i]);

        for(i=1;i<=N;i++)
        scanf("%lld",&B[i]);

        for(i=1;i<N;i++)
        for(j=i+1;j<=N;j++){
           L=i;
           R=j;
            pom1=A[L];
            pom2=B[L];
            for(k=L;k<R;k++)
                {
            pom1=pom1^A[k+1];
            pom2=pom2&B[k+1];
            }
            max1=pom1*pom2;
            if(max1>max2)
                max2=max1;

        }
    printf("%lld",max2);
    return 0;
}